# Class JDBCUtils

java.lang.Object
uk.ac.starlink.table.jdbc.JDBCUtils

public class JDBCUtils extends Object
Utilties related to JDBC.

Since:
  10 Dec 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static Statement`
`createStreamingStatement(Connection conn, boolean update)`
Returns a statement which tries its best to stream data.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createStreamingStatement

public static Statement createStreamingStatement(Connection conn, boolean update) throws SQLException
Returns a statement which tries its best to stream data. It may be necessary to jump through various (database/driver-dependent) hoops to persuade JDBC not to grab the whole query result and store it locally - doing that risks running out of heap memory in this JVM for large queries.

Note that in some cases the supplied connection may have its autocommit mode modified by this call.

Parameters:
  `conn` - connection
  `update` - true for an updatable set, false for read-only
Returns:
  statement which (hopefully) streams results
Throws:
  `SQLException`